apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
    name: output-gateway
    title: Output Gateway service
    description: Golemio Output Gateway service
    tags:
        - service
        - dataplatform
        - node-20
        - express-4
        - typescript
    annotations:
        backstage.io/source-location: "url:https://gitlab.com/operator-ict/golemio/code/output-gateway"
        backstage.io/kubernetes-id: output-gateway-v2
        backstage.io/kubernetes-namespace: golemio
        # backstage.io/techdocs-ref: url:https://gitlab.com/operator-ict/golemio/code/output-gateway/-/tree/master?ref_type=heads
spec:
    type: service
    lifecycle: production
    owner: team-backend
    system: golemio-data-platform
    dependsOn:
        - "resource:postgres-dataplatform"
        - "resource:redis"
        - "component:air-quality-stations"
        - "component:bicycle-counters"
        - "component:city-districts"
        - "component:core"
        - "component:db-common"
        - "component:fcd"
        - "component:flow"
        - "component:gardens"
        - "component:medical-institutions"
        - "component:microclimate"
        - "component:municipal-authorities"
        - "component:municipal-libraries"
        - "component:municipal-police-stations"
        - "component:ndic"
        - "component:parkings"
        - "component:playgrounds"
        - "component:traffic-common"
        - "component:vehiclesharing"
        - "component:waste-collection"
        - "component:waste-collection-yards"
        - "component:waze-ccp"
    providesApis:
        - golemio-output-gateway-api
        - golemio-output-gateway-public-api

---
apiVersion: backstage.io/v1alpha1
kind: API
metadata:
    name: golemio-output-gateway-api
    description: Main Golemio API
    links:
        - url: https://rabin.golemio.cz/docs/openapi/
          title: Rabín
        - url: https://api.golemio.cz/docs/openapi/
          title: Golem
spec:
    type: openapi
    lifecycle: production
    owner: team-backend
    definition:
        $text: https://api.golemio.cz/docs/static/output-gateway/openapi.json

---
apiVersion: backstage.io/v1alpha1
kind: API
metadata:
    name: golemio-output-gateway-public-api
    description: Open Data Golemio API
    links:
        - url: https://rabin.golemio.cz/docs/public-openapi/
          title: Rabín
        - url: https://api.golemio.cz/docs/public-openapi/
          title: Golem
spec:
    type: openapi
    lifecycle: production
    owner: team-backend
    definition:
        $text: https://api.golemio.cz/docs/static/output-gateway/openapi-public.json
